import { Track } from '../base';
export declare function createRemoteStream(urlIn: string): Promise<import("node-fetch").Response>;
export declare function isURL(FileName: string): boolean;
export declare function guessAdapterFromFileName(filePath: string): Track;
export declare function supported(type: string): boolean;
export declare function generateMeta({ trackConfigs, attributes, outLocation, name, typesToExclude, assemblyNames, }: {
    trackConfigs: Track[];
    attributes: string[];
    outLocation: string;
    name: string;
    typesToExclude: string[];
    assemblyNames: string[];
}): Promise<void>;
